Đến nội dung


Hình ảnh
- - - - -

Lisp Chọn đối tượng bằng ssget sử dụng phương pháp CPolygon


  • Please log in to reply
3 replies to this topic

#1 HTV_ag

HTV_ag

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 24 September 2009 - 10:35 PM

Tôi có một list gồm tập hợp tọa độ các góc của một đa giác, nay tôi muốn dùng lệnh (setq ss (ssget "CP" và cái list kia thì làm như thế nào?.
Ai biết xin chỉ giúp tôi với. Thanks!
  • 0

#2 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4106 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 24 September 2009 - 11:34 PM

Tôi có một list gồm tập hợp tọa độ các góc của một đa giác, nay tôi muốn dùng lệnh (setq ss (ssget "CP" và cái list kia thì làm như thế nào?.
Ai biết xin chỉ giúp tôi với. Thanks!

bạn dùng cú pháp lệnh
(setq ss (ssget "CP" listkia))
  • 0

#3 HTV_ag

HTV_ag

    biết pan

  • Members
  • Pip
  • 6 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 25 September 2009 - 10:46 AM

bạn dùng cú pháp lệnh
(setq ss (ssget "CP" listkia))

Cảm ơn bạn đã giúp đỡ!
Còn tôi muốn sử dụng lệnh trim của Cad sử dụng Fence là cái list đó thì làm như thế nào nhỉ, tôi viết thế này:
(command "trim" ss "" "Fence" listkia "")
thì nó báo lỗi ko hiểu cái list list.
Rất mong được giúp đỡ, xin cảm ơn.
  • 0

#4 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4106 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 25 September 2009 - 06:20 PM

Cảm ơn bạn đã giúp đỡ!
Còn tôi muốn sử dụng lệnh trim của Cad sử dụng Fence là cái list đó thì làm như thế nào nhỉ, tôi viết thế này:
(command "trim" ss "" "Fence" listkia "")
thì nó báo lỗi ko hiểu cái list list.
Rất mong được giúp đỡ, xin cảm ơn.

bạn dùng lệnh:
(command "trim" ss "" "f")
(foreach p listkia
(command p)
)
(command "")
  • 0